"""JARVIS logging helper."""
import logging

from rich.logging import RichHandler


def get_logger(name: str, show_locals: bool = False) -> logging.Logger:
    """
    Get a pre-configured logger

    Args:
        name: Name of the logger
    """
    logger = logging.getLogger(name)
    handler = RichHandler(rich_tracebacks=True, tracebacks_show_locals=show_locals)
    logger.addHandler(handler)
    return logger
